<app-sidebar-menu class=".sidenav"></app-sidebar-menu>
<div class="container">
  <div class="col-sm">
    <div class="HEADER"><h3>COVID-19 Update</h3></div>
  </div>
  <div class="d-flex flex-row">
    <div class="p-2">
      <p id="update">Update: {{ CovidData[0].txn_date }}</p>
    </div>
  </div>
  <div class="row">
    <div class="col">
      <div class="table-container">
        <div class="grid" id="case">
          <div class="row">
            <div class="col-sm-8" id="case-header">Confirmed Case</div>
            <div class="w-100"></div>
            <div class="col-sm-8" id="case-total">Total Case</div>
            <div class="w-100"></div>
            <div class="col-sm-8">{{ CovidData[0].total_case }}</div>
            <div class="w-100"></div>
            <div class="col-sm-8" id="case-new">New Case</div>
            <div class="w-100"></div>
            <div class="col-sm-8">+{{ CovidData[0].new_case }}</div>
          </div>
        </div>
        <div class="grid" id="death">
          <div class="row">
            <div class="col-sm-8" id="death-total">Total Death</div>
            <div class="w-100"></div>
            <div class="col-sm-4">{{ CovidData[0].total_death }}</div>
            <div class="col-sm-4" id="percent">
              {{ ((CovidData[0].total_death * 100) / CovidData[0].total_case).toFixed(2) }}%
            </div>
            <div class="w-100"></div>
            <div class="col-sm-8" id="death-new">New Death</div>
            <div class="w-100"></div>
            <div class="col-sm-8">+{{ CovidData[0].new_death }}</div>
          </div>
        </div>
        <div class="grid" id="recov">
          <div class="row">
            <div class="col-sm-8" id="recov-total">Total Recovered</div>
            <div class="w-100"></div>
            <div class="col-sm-4">{{ CovidData[0].total_recovered }}</div>
            <div class="col-sm-4" id="percent">
              {{ ((CovidData[0].total_recovered * 100) / CovidData[0].total_case).toFixed(2) }}%
            </div>
            <div class="w-100"></div>
            <div class="col-sm-8" id="recov-new">New Recovered</div>
            <div class="w-100"></div>
            <div class="col-sm-8">+{{ CovidData[0].new_recovered }}</div>
          </div>
        </div>
      </div>
    </div>
    <div class="col">
      <div class="chart-2">
        <apx-chart
          [series]="chartOptions2.series"
          [chart]="chartOptions2.chart"
          [labels]="chartOptions2.labels"
          [title]="chartOptions2.title"
          [plotOptions]="chartOptions2.plotOptions"
        ></apx-chart>
      </div>
    </div>
  </div>
  <div class="chart">
    <div class="chart-1">
      <apx-chart
        [series]="chartOptions.series"
        [chart]="chartOptions.chart"
        [dataLabels]="chartOptions.dataLabels"
        [xaxis]="chartOptions.xaxis"
        [title]="chartOptions.title"
      ></apx-chart>
    </div>
  </div>
</div>
